Bug 12788 - spnego.c passes the wrong argument order to gensec_update_ev() for the FALLBACK case
spnego.c passes the wrong argument order to gensec_update_ev() for the FALLBA...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.6.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-12 08:51 UTC by Stefan Metzmacher
Modified: 2017-07-03 08:53 UTC (History)
3 users (show)

See Also:


Attachments
Patch for v4-6-test (1.57 KB, patch)
2017-06-29 13:57 UTC, Stefan Metzmacher
slow: review+
metze: review? (asn)
Details
Patch for v4-5-test (1.57 KB, patch)
2017-06-29 13:57 UTC, Stefan Metzmacher
slow: review+
metze: review? (asn)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-05-12 08:51:14 UTC
The code path for SPNEGO_FALLBACK mixed up the order of
memory context, event context. As one is "void *" and the other "struct tevent_context *" the compiler doesn't complain about it.

-Wc++-compat would warn about it:
warning: request for implicit conversion from ‘TALLOC_CTX *’ to ‘struct tevent_context *’ not permitted in C++ [-Wc++-compat]

But it also warns about a lot of other stuff, so it's not easy to
add it without -Wno-error=c++-compat.
Comment 1 Stefan Metzmacher 2017-06-29 13:57:25 UTC
Created attachment 13331 [details]
Patch for v4-6-test
Comment 2 Stefan Metzmacher 2017-06-29 13:57:53 UTC
Created attachment 13332 [details]
Patch for v4-5-test
Comment 3 Ralph Böhme 2017-06-29 14:03:29 UTC
Reassigning to Karolin for inclusion in 4.5 and 4.6.
Comment 4 Karolin Seeger 2017-06-30 08:19:42 UTC
(In reply to Ralph Böhme from comment #3)
Pushed to autobuild-v4-{6,5}-test.
Comment 5 Karolin Seeger 2017-07-03 08:53:21 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!